diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/raw-text-config.cc ns-3.43/src/config-store/model/raw-text-config.cc
--- ns-3.42/src/config-store/model/raw-text-config.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/raw-text-config.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
@@ -75,11 +64,6 @@
             m_os = os;
         }
 
-        void SetSaveDeprecated(bool saveDeprecated)
-        {
-            m_saveDeprecated = saveDeprecated;
-        }
-
       private:
         void StartVisitTypeId(std::string name) override
         {
@@ -91,39 +75,49 @@
             NS_LOG_DEBUG("Saving " << m_typeId << "::" << name);
             TypeId tid = TypeId::LookupByName(m_typeId);
             ns3::TypeId::SupportLevel supportLevel = TypeId::SupportLevel::SUPPORTED;
+            std::string originalInitialValue;
+            std::string valueTypeName;
             for (std::size_t i = 0; i < tid.GetAttributeN(); i++)
             {
                 TypeId::AttributeInformation tmp = tid.GetAttribute(i);
                 if (tmp.name == name)
                 {
                     supportLevel = tmp.supportLevel;
+                    originalInitialValue = tmp.originalInitialValue->SerializeToString(tmp.checker);
+                    valueTypeName = tmp.checker->GetValueTypeName();
                     break;
                 }
             }
-            if (supportLevel == TypeId::SupportLevel::OBSOLETE)
+            if (valueTypeName == "ns3::CallbackValue")
             {
                 NS_LOG_WARN("Global attribute " << m_typeId << "::" << name
-                                                << " was not saved because it is OBSOLETE");
+                                                << " was not saved because it is a CallbackValue");
+                return;
             }
-            else if (supportLevel == TypeId::SupportLevel::DEPRECATED && !m_saveDeprecated)
+            if (supportLevel == TypeId::SupportLevel::OBSOLETE)
             {
                 NS_LOG_WARN("Global attribute " << m_typeId << "::" << name
-                                                << " was not saved because it is DEPRECATED");
+                                                << " was not saved because it is OBSOLETE");
+                return;
             }
-            else
+            if (supportLevel == TypeId::SupportLevel::DEPRECATED &&
+                defaultValue == originalInitialValue)
             {
-                *m_os << "default " << m_typeId << "::" << name << " \"" << defaultValue << "\""
-                      << std::endl;
+                NS_LOG_WARN("Global attribute "
+                            << m_typeId << "::" << name
+                            << " was not saved because it is DEPRECATED and its value has not "
+                               "changed from the original initial value");
+                return;
             }
+            *m_os << "default " << m_typeId << "::" << name << " \"" << defaultValue << "\""
+                  << std::endl;
         }
 
         std::string m_typeId;
         std::ostream* m_os;
-        bool m_saveDeprecated;
     };
 
     RawTextDefaultIterator iterator = RawTextDefaultIterator(m_os);
-    iterator.SetSaveDeprecated(m_saveDeprecated);
     iterator.Iterate();
 }
 
@@ -153,52 +147,52 @@
         {
         }
 
-        void SetSaveDeprecated(bool saveDeprecated)
-        {
-            m_saveDeprecated = saveDeprecated;
-        }
-
       private:
         void DoVisitAttribute(Ptr<Object> object, std::string name) override
         {
             StringValue str;
-
-            ns3::TypeId::SupportLevel supportLevel = TypeId::SupportLevel::SUPPORTED;
             TypeId tid = object->GetInstanceTypeId();
 
-            for (std::size_t i = 0; i < tid.GetAttributeN(); i++)
+            auto [found, inTid, attr] = TypeId::FindAttribute(tid, name);
+
+            if (found)
             {
-                TypeId::AttributeInformation tmp = tid.GetAttribute(i);
-                if (tmp.name == name)
+                if (attr.checker && attr.checker->GetValueTypeName() == "ns3::CallbackValue")
                 {
-                    supportLevel = tmp.supportLevel;
-                    break;
+                    NS_LOG_WARN("Attribute " << GetCurrentPath()
+                                             << " was not saved because it is a CallbackValue");
+                    return;
+                }
+                auto supportLevel = attr.supportLevel;
+                if (supportLevel == TypeId::SupportLevel::OBSOLETE)
+                {
+                    NS_LOG_WARN("Attribute " << GetCurrentPath()
+                                             << " was not saved because it is OBSOLETE");
+                    return;
+                }
+
+                std::string originalInitialValue =
+                    attr.originalInitialValue->SerializeToString(attr.checker);
+                object->GetAttribute(name, str, true);
+
+                if (supportLevel == TypeId::SupportLevel::DEPRECATED &&
+                    str.Get() == originalInitialValue)
+                {
+                    NS_LOG_WARN("Attribute "
+                                << GetCurrentPath()
+                                << " was not saved because it is DEPRECATED and its value has not "
+                                   "changed from the original initial value");
+                    return;
                 }
-            }
-            if (supportLevel == TypeId::SupportLevel::OBSOLETE)
-            {
-                NS_LOG_WARN("Attribute " << GetCurrentPath()
-                                         << " was not saved because it is OBSOLETE");
-            }
-            else if (supportLevel == TypeId::SupportLevel::DEPRECATED && !m_saveDeprecated)
-            {
-                NS_LOG_WARN("Attribute " << GetCurrentPath()
-                                         << " was not saved because it is DEPRECATED");
-            }
-            else
-            {
-                object->GetAttribute(name, str);
                 NS_LOG_DEBUG("Saving " << GetCurrentPath());
                 *m_os << "value " << GetCurrentPath() << " \"" << str.Get() << "\"" << std::endl;
             }
         }
 
         std::ostream* m_os;
-        bool m_saveDeprecated;
     };
 
     RawTextAttributeIterator iter = RawTextAttributeIterator(m_os);
-    iter.SetSaveDeprecated(m_saveDeprecated);
     iter.Iterate();
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/raw-text-config.h ns-3.43/src/config-store/model/raw-text-config.h
--- ns-3.42/src/config-store/model/raw-text-config.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/raw-text-config.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/xml-config.cc ns-3.43/src/config-store/model/xml-config.cc
--- ns-3.42/src/config-store/model/xml-config.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/xml-config.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
@@ -115,11 +104,6 @@
             m_writer = writer;
         }
 
-        void SetSaveDeprecated(bool saveDeprecated)
-        {
-            m_saveDeprecated = saveDeprecated;
-        }
-
       private:
         void StartVisitTypeId(std::string name) override
         {
@@ -130,25 +114,38 @@
         {
             TypeId tid = TypeId::LookupByName(m_typeid);
             ns3::TypeId::SupportLevel supportLevel = TypeId::SupportLevel::SUPPORTED;
+            std::string originalInitialValue;
+            std::string valueTypeName;
             for (std::size_t i = 0; i < tid.GetAttributeN(); i++)
             {
                 TypeId::AttributeInformation tmp = tid.GetAttribute(i);
                 if (tmp.name == name)
                 {
                     supportLevel = tmp.supportLevel;
+                    originalInitialValue = tmp.originalInitialValue->SerializeToString(tmp.checker);
+                    valueTypeName = tmp.checker->GetValueTypeName();
                     break;
                 }
             }
+            if (valueTypeName == "ns3::CallbackValue")
+            {
+                NS_LOG_WARN("Global attribute " << m_typeid << "::" << name
+                                                << " was not saved because it is a CallbackValue");
+                return;
+            }
             if (supportLevel == TypeId::SupportLevel::OBSOLETE)
             {
                 NS_LOG_WARN("Global attribute " << m_typeid << "::" << name
                                                 << " was not saved because it is OBSOLETE");
                 return;
             }
-            else if (supportLevel == TypeId::SupportLevel::DEPRECATED && !m_saveDeprecated)
+            if (supportLevel == TypeId::SupportLevel::DEPRECATED &&
+                defaultValue == originalInitialValue)
             {
-                NS_LOG_WARN("Global attribute " << m_typeid << "::" << name
-                                                << " was not saved because it is DEPRECATED");
+                NS_LOG_WARN("Global attribute "
+                            << m_typeid << "::" << name
+                            << " was not saved because it is DEPRECATED and its value has not "
+                               "changed from the original initial value");
                 return;
             }
 
@@ -180,11 +177,9 @@
 
         xmlTextWriterPtr m_writer;
         std::string m_typeid;
-        bool m_saveDeprecated;
     };
 
     XmlDefaultIterator iterator = XmlDefaultIterator(m_writer);
-    iterator.SetSaveDeprecated(m_saveDeprecated);
     iterator.Iterate();
 }
 
@@ -199,39 +194,45 @@
         {
         }
 
-        void SetSaveDeprecated(bool saveDeprecated)
-        {
-            m_saveDeprecated = saveDeprecated;
-        }
-
       private:
         void DoVisitAttribute(Ptr<Object> object, std::string name) override
         {
+            StringValue str;
             TypeId tid = object->GetInstanceTypeId();
-            ns3::TypeId::SupportLevel supportLevel = TypeId::SupportLevel::SUPPORTED;
-            for (std::size_t i = 0; i < tid.GetAttributeN(); i++)
+
+            auto [found, inTid, attr] = TypeId::FindAttribute(tid, name);
+
+            if (found)
             {
-                TypeId::AttributeInformation tmp = tid.GetAttribute(i);
-                if (tmp.name == name)
+                if (attr.checker && attr.checker->GetValueTypeName() == "ns3::CallbackValue")
                 {
-                    supportLevel = tmp.supportLevel;
-                    break;
+                    NS_LOG_WARN("Attribute " << GetCurrentPath()
+                                             << " was not saved because it is a CallbackValue");
+                    return;
+                }
+                auto supportLevel = attr.supportLevel;
+                if (supportLevel == TypeId::SupportLevel::OBSOLETE)
+                {
+                    NS_LOG_WARN("Attribute " << GetCurrentPath()
+                                             << " was not saved because it is OBSOLETE");
+                    return;
+                }
+
+                std::string originalInitialValue =
+                    attr.originalInitialValue->SerializeToString(attr.checker);
+                object->GetAttribute(name, str, true);
+
+                if (supportLevel == TypeId::SupportLevel::DEPRECATED &&
+                    str.Get() == originalInitialValue)
+                {
+                    NS_LOG_WARN("Attribute "
+                                << GetCurrentPath()
+                                << " was not saved because it is DEPRECATED and its value has not "
+                                   "changed from the original initial value");
+                    return;
                 }
             }
-            if (supportLevel == TypeId::SupportLevel::OBSOLETE)
-            {
-                NS_LOG_WARN("Attribute " << GetCurrentPath()
-                                         << " was not saved because it is OBSOLETE");
-                return;
-            }
-            else if (supportLevel == TypeId::SupportLevel::DEPRECATED && !m_saveDeprecated)
-            {
-                NS_LOG_WARN("Attribute " << GetCurrentPath()
-                                         << " was not saved because it is DEPRECATED");
-                return;
-            }
-            StringValue str;
-            object->GetAttribute(name, str);
+
             int rc;
             rc = xmlTextWriterStartElement(m_writer, BAD_CAST "value");
             if (rc < 0)
@@ -259,11 +260,9 @@
         }
 
         xmlTextWriterPtr m_writer;
-        bool m_saveDeprecated;
     };
 
     XmlTextAttributeIterator iter = XmlTextAttributeIterator(m_writer);
-    iter.SetSaveDeprecated(m_saveDeprecated);
     iter.Iterate();
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/xml-config.h ns-3.43/src/config-store/model/xml-config.h
--- ns-3.42/src/config-store/model/xml-config.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/xml-config.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/CMakeLists.txt ns-3.43/src/core/CMakeLists.txt
--- ns-3.42/src/core/CMakeLists.txt	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/CMakeLists.txt	2024-10-09 16:41:09.856655800 -0700
@@ -1,6 +1,18 @@
 # Set lib core link dependencies
 set(libraries_to_link)
 
+set(config_headers
+    ${CMAKE_HEADER_OUTPUT_DIRECTORY}/config-store-config.h
+    ${CMAKE_HEADER_OUTPUT_DIRECTORY}/core-config.h
+)
+if(${ENABLE_BUILD_VERSION})
+  list(
+    APPEND
+    config_headers
+    ${CMAKE_HEADER_OUTPUT_DIRECTORY}/version-defines.h
+  )
+endif()
+
 set(gsl_test_sources)
 if(${GSL_FOUND})
   set(libraries_to_link
@@ -183,10 +195,12 @@
     model/realtime-simulator-impl.cc
     model/wall-clock-synchronizer.cc
     model/matrix-array.cc
+    model/demangle.cc
 )
 
 # Define core lib headers
 set(header_files
+    ${config_headers}
     ${int64x64_headers}
     ${example_as_test_headers}
     ${embedded_version_headers}
@@ -211,6 +225,7 @@
     model/config.h
     model/default-deleter.h
     model/default-simulator-impl.h
+    model/demangle.h
     model/deprecated.h
     model/des-metrics.h
     model/double.h
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/doc/core.h ns-3.43/src/core/doc/core.h
--- ns-3.42/src/core/doc/core.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/doc/core.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Peter D. Barnes, Jr.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:
  *   Tom Henderson <tomh@tomh.org>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/doc/environment-variables.h ns-3.43/src/core/doc/environment-variables.h
--- ns-3.42/src/core/doc/environment-variables.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/doc/environment-variables.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/assert-example.cc ns-3.43/src/core/examples/assert-example.cc
--- ns-3.42/src/core/examples/assert-example.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/assert-example.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2023 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/build-version-example.cc ns-3.43/src/core/examples/build-version-example.cc
--- ns-3.42/src/core/examples/build-version-example.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/build-version-example.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/command-line-example.cc ns-3.43/src/core/examples/command-line-example.cc
--- ns-3.42/src/core/examples/command-line-example.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/command-line-example.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/empirical-random-variable-example.cc ns-3.43/src/core/examples/empirical-random-variable-example.cc
--- ns-3.42/src/core/examples/empirical-random-variable-example.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/empirical-random-variable-example.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/fatal-example.cc ns-3.43/src/core/examples/fatal-example.cc
--- ns-3.42/src/core/examples/fatal-example.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/fatal-example.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/hash-example.cc ns-3.43/src/core/examples/hash-example.cc
--- ns-3.42/src/core/examples/hash-example.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/hash-example.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/core-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/length-example.cc ns-3.43/src/core/examples/length-example.cc
--- ns-3.42/src/core/examples/length-example.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/length-example.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathew Bielejeski <bielejeski1@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/log-example.cc ns-3.43/src/core/examples/log-example.cc
--- ns-3.42/src/core/examples/log-example.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/log-example.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2023 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/main-callback.cc ns-3.43/src/core/examples/main-callback.cc
--- ns-3.42/src/core/examples/main-callback.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/main-callback.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/main-ptr.cc ns-3.43/src/core/examples/main-ptr.cc
--- ns-3.42/src/core/examples/main-ptr.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/main-ptr.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
